package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotNull;

/**
 * 删除评论请求参数
 * @author long
 */

public class CommentDelRequest {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Long userId;

    /**
     * 要删除的评论id
     */
    @NotNull(message = "评论id不能为空")
    private Long commentId;

    /**
     * 帖子id
     */
    @NotNull(message = "帖子id不能为空")
    private Long articleId;



    @Override
    public String toString() {
        return "CommentDelRequest{" +
                "userId=" + userId +
                ", commentId=" + commentId +
                ", articleId=" + articleId +
                '}';
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCommentId() {
        return commentId;
    }

    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    public Long getArticleId() {
        return articleId;
    }

    public void setArticleId(Long articleId) {
        this.articleId = articleId;
    }
}
